<?php session_start();?>
<?php
include('../_cfg/config.php');
include('php_gene1.php'); 
include('php_session.php');
//include('excel_reader2.php');
//include('vrreadxls.php');
// include('simplexlsx.class.php');
// echo date('H:i:s',strtotime('now'));

$clave=alltrim($_POST['clave']);
$forma=$_POST['forma']; 
$desti=$_POST['desti'];
$exte=$_POST['exte'];

if($desti==''){$desti='screen';}

$ruc=substr($cfg_ruc,0,10); 
$xml='';
$result='';
$descarga='';

if(strlen($clave)==48){$clave.=val_mod11($clave);}

if(strlen($clave)==49)
{
	if(val_clac($clave))
	{
		$codDoc=substr($clave,8,2); 	
		//01 04 05
		$tabla='vtas';
		if($codDoc=='03'){$tabla='comp';}
		if($codDoc=='06'){$tabla='guia';}
		if($codDoc=='07'){$tabla='retp';}

		if($codDoc=='81'){$tabla='caja';}
		if($codDoc=='82'){$tabla='bcos';}
    
		if($codDoc=='91'){$tabla='clie';}
		if($codDoc=='92'){$tabla='clie';}
		if($codDoc=='95'){$tabla='prov';}
		
		if($codDoc=='99'){$tabla='rolp';}

    
		if(mb_stristr('01.03.04.05.06.07',$codDoc))
		{
			upl_cexml($clave);
			if(!mb_stristr($clave,$cfg_ruc) and !mb_stristr('demo',$cfg_empr))
			{ws_autor($clave);}
		}

    {
	
		$sql_tabla='select * from tabla1 where claveacc="'.$clave.'" and status!="X"';
		if(mb_stristr('01.03.04.05',$codDoc))
		{
			
			$sql_docu=str_replace('tabla1','vtas1',$sql_tabla);
			$res_docu=@msql_query($sql_docu,$link_vcrx);
			if(@msql_num_rows($res_docu)==1)
			{
				$idnum=msql_result($res_docu,0,'idnum1');
				$docu=msql_result($res_docu,0,'docu');
				$numero=msql_result($res_docu,0,'numero');
				$enti=msql_result($res_docu,0,'enti');
			}

			$sql_docu=str_replace('tabla1','comp1',$sql_tabla);
			$res_docu=@msql_query($sql_docu,$link_vcrx);
			if(@msql_num_rows($res_docu)==1)
			{
				$idnum=msql_result($res_docu,0,'idnum1');
				$docu=msql_result($res_docu,0,'docu');
				$numero=msql_result($res_docu,0,'numero');
				$enti=msql_result($res_docu,0,'enti');
			}
		}
			
		if(mb_stristr('07',$codDoc))
		{
			$sql_docu=str_replace('tabla1','retc1',$sql_tabla);
			$res_docu=msql_query($sql_docu,$link_vcrx);
			if(msql_num_rows($res_docu)==1)
			{
				$idnum=msql_result($res_docu,0,'idnum1');
				$docu=msql_result($res_docu,0,'docu');
				$numero=msql_result($res_docu,0,'numero');
				$enti=msql_result($res_docu,0,'enti');
			}

			$sql_docu=str_replace('tabla1','retp1',$sql_tabla);
			$res_docu=msql_query($sql_docu,$link_vcrx);
			if(msql_num_rows($res_docu)==1)
			{
				$idnum=msql_result($res_docu,0,'idnum1');
				$docu=msql_result($res_docu,0,'docu');
				$numero=msql_result($res_docu,0,'numero');
				$enti=msql_result($res_docu,0,'enti');
			}
		}
			
		if(mb_stristr('06',$codDoc))
		{
			$sql_docu=str_replace('tabla1','guia1',$sql_tabla);
			$res_docu=msql_query($sql_docu,$link_vcrx);
			if(msql_num_rows($res_docu)==1)
			{
				$idnum=msql_result($res_docu,0,'idnum1');
				$docu=msql_result($res_docu,0,'docu');
				$numero=msql_result($res_docu,0,'numero');
				$enti=msql_result($res_docu,0,'enti');
			}
		}

		if(mb_stristr('91.92',$codDoc))
		{
			$sql_docu=str_replace('tabla1','clie1',$sql_tabla);
			$res_docu=msql_query($sql_docu,$link_vcrx);
			if(msql_num_rows($res_docu)==1)
			{
				$idnum=msql_result($res_docu,0,'idnum1');
				$docu=msql_result($res_docu,0,'docu');
				$numero=msql_result($res_docu,0,'numero');
				$enti=msql_result($res_docu,0,'enti');
			}
		}
//         echo '*/*/*/'.$codDoc;
			
		if(mb_stristr('95',$codDoc))
		{
			$sql_docu=str_replace('tabla1','prov1',$sql_tabla);
			$res_docu=msql_query($sql_docu,$link_vcrx);
				echo msql_error();
			if(msql_num_rows($res_docu)==1)
			{
				$idnum=msql_result($res_docu,0,'idnum1');
				$docu=msql_result($res_docu,0,'docu');
				$numero=msql_result($res_docu,0,'numero');
				$enti=msql_result($res_docu,0,'enti');
			}
		}
			
		}
	}
	else
	{die('<br>Clave NO VALIDA');}
}
else
{
	$clave='';
	$idnum=$_POST['idnum'];
	$docu=$_POST['docu']; 
	$numero=fillzero($_POST['numero']);
	$enti=substr($_POST['enti'],0,10);
  if($enti=='' or $enti=='undefined')
  {$enti=substr(r_fiel('user',$user_codigo,'cedula'),0,10);}
}



?>

<?php
if($clave=='' and $docu==''){die('Datos INCORRECTOS 1');}

$subdce=mk_subdce($clave);
if(file_exists($rutace.$subdce.$clave.'b.xml'))
{
  $result ='<a href="http://vcrxol.com/_cel/';
  $result.=$subdce.$clave.'b.xml" download="'.substr($docu,0,1).'_'.substr($clave,10,13).'_'.substr($clave,24,6).'_'.substr($clave,30,9);
  $result.='">Descargar XML</a>';
}

if($idnum!='')
{$result=prnt_docu0($docu,$idnum,$forma,$desti);}

// html2pdf('')

ob_start();
echo $result;
$obstart = ob_get_clean(); 
//$obstart=alltrim($obstart); 
// $obstart = limpiahtml($obstart);

if(!mb_stristr('pos.txt',$desti))
{$obstart = limpiahtml($obstart);}
// {$obstart = alltrim($obstart);}

if($user_codigo=='' and $clave=='' and $_SESSION['user_vcrx_id']=='')
{
// 	if(!mb_stristr($obstart,$numero)){$obstart='Datos INCORRECTOS 2';}
// 	if(!mb_stristr($obstart,$enti)){$obstart='Datos INCORRECTOS 3';}
}

if(substr($docu,0,3)=='CAR')
{
  $tabla=r_fiel('docu',$docu,'tabla');
  $iuser=r_fiel($tabla.'1',$idnum,'iuser');
  if(!mb_stristr('sist.supe.admi',$user_tipo))
  {if($user_codigo!=$iuser){$obstart='Usuario INCORRECTO';}}
}


if(($user_tipo=='' or mb_stristr('invi.clie.prov.exte',$user_tipo))  and $clave=='')
{
	// debe coincidir la cedula del usuario con la entidad del docu
//   echo '*/*/*/*'.$enti;
     $tabla=r_fiel('docu',$docu,'tabla');
     $iuser=r_fiel($tabla.'1',$idnum,'iuser');
//      echo '*/*/*'.$tabla;
//      echo '*/*/*'.$idnum;
//      echo '*/*/*'.$iuser;
//      echo '-+-+-+'.$user_codigo;
//      if($user_codigo!=$iuser)
//      {if(!mb_stristr($obstart,$enti)){$obstart='Documento NO DISPONIBLE';}}
}

if($exte=='html')
{echo $obstart;}

if($exte=='pdf')
{
	$docuhtml='http://'.$cfg_empr.'.vcrxol.com/_doc/'.$docu.'_'.fillzero($idnum).'.html';
	$api_endpoint = "https://selectpdf.com/api2/convert/";
	$key='a08354d5-92b4-4a2b-a1a4-ab82c90a5c78';
	$parameters = array ('key' => $key, 'url' => $docuhtml, 'page_size' => 'A4');
	$result = file_get_contents("$api_endpoint?" . http_build_query($parameters));
	echo 'header("Content-Type: application/pdf");';
	echo 'header("Content-Disposition: attachment; filename=\"test.pdf\"");';
	echo $result;	
}
// echo $exte;
// echo date('H:i:s',strtotime('now'));

?>
	
	
				
				
				